<?php

include_once "../dbconection.php";
include_once "../errorhandler.php";
include_once "../funciones.php";

//require "../PHPMailer-master/PHPMailerAutoload.php";

function enviarEmail($intDocumento, $strDocumento, $intTipo, $strIdsUsuarios){

	global $sDominio;
	global $strUrl;
	global $strDireccion;
	global $strTerminos;
	
	$pageName = "enviarEmail";
	
	$query = "SELECT t1.* FROM tblusuarios t1 WHERE t1.intEmpresa = 1 AND (t1.intTipo=". $intTipo;
	if($strIdsUsuarios !=""){ 
		$query .= " OR t1.intUsuario IN (". $strIdsUsuarios . ") ";
	}
	$query .= ") ";
	$query .= " AND (Select t3.intUsuario FROM tblactividad t3 WHERE t3.intDocumento=". $intDocumento ." AND t3.intUsuario=t1.intUsuario) IS NULL	";
	
	//exit($query);
	
	$queryResult = mysql_query($query);	
	$totalRows = mysql_num_rows($queryResult);
	
	if($totalRows > 0){
				
		while($data = mysql_fetch_assoc($queryResult)){
		
			$intUsuarioN = $data['intUsuario'];	
			$strNombreN = $data['strNombre'];	
			$strEmailN = $data['strLogin'];	
			
			//print("intUsuario =". $intUsuarioN."<br/>");
			//Detalle de Email
			$strDetalleEmail = "<img src='".$strUrl."track/logo.jpg'> ";
			
			$strDetalleEmail .= "<br/><br/>Hola ". $strNombreN;
			
			$strDetalleEmail .= "<br/><br/><a href='".$strUrl."index.php' target='_blank'>Presionar aqu&iacute; para autentificarse y leer el documento.</a>";
			$strDetalleEmail .= "<br/><br/>Documento:<br/><br/> <span style='padding:8px; border:1px solid #ccc; background:#EAEAEA;'>". $strDocumento ."</span>";
			$strDetalleEmail .= "<br/><br/>Email enviado automaticamente en la creaci&oacute;n o actualizaci&oacute;n de un documento. \n";
			$strDetalleEmail .= "<br/><br/><hr/>". $strDireccion;
			$strDetalleEmail .= "<br/><br/>". $strTerminos;
			$strDetalleEmail .= "<img src='".$strUrl."track/open.php?c=".$intDocumento."&id=".$intUsuarioN."' height='1' width='1'>";		

			$headers = "MIME-Version: 1.0" . "\r\n";
			$headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";
			// More headers
			//$headers .= "From: Capacitacion KyK <capacitacion@". $sDominio . ">\r\n"; 
			$headers .= "From: Capacitacion KyK <info@". $sDominio . ">\r\n"."CC: ".$strEmailN;

			//$mail = new PHPMailer;
//			$mail->isSendmail();
//			$mail->setFrom('capacitacion@kesosykosas.info', 'Capacitacion KyK');
//			//Set who the message is to be sent to
//			$mail->addAddress($strEmailN, $strNombreN);
//			//Set the subject line
//			$mail->Subject = 'Documento Nuevo por Leer';
//			$mail->isHTML(true);
//			$mail->Body = $strDetalleEmail;
//			//$mail->msgHTML(file_get_contents('contents.html'), dirname(__FILE__));
//			$mail->AltBody = 'Usted tiene un nuevo documento por leer, favor de entrar a www.kesosykosas.info con sus datos de acceso';
//
//			if (!$mail->send()){
//				echo "Mailer Error: " . $mail->ErrorInfo;
//			} else {
//				echo "Message sent!";
//				$queryIN = "INSERT INTO tblactividad (intDocumento, intUsuario, datFechaEnvio) values (". $intDocumento .",". $intUsuarioN . ", CURRENT_TIMESTAMP) ";
//				$queryResultIN = mysql_query($queryIN);	
//			}
			
			$queryIN = "INSERT INTO tblactividad (intDocumento, intUsuario, datFechaEnvio) values (". $intDocumento .",". $intUsuarioN . ", CURRENT_TIMESTAMP) ";
			$queryResultIN = mysql_query($queryIN);
			
			mail("capacitacion@". $sDominio, "Informacion", $strDetalleEmail, $headers);
			//mail($strEmailN, "Informacion", $strDetalleEmail, $headers);

		}
	}
}


if(isset($_REQUEST['intDocumento'])){ // Si es llamado por intProducto ABC

	$intEmpresa = $_REQUEST['intEmpresa'];
	$intDocumento = $_REQUEST['intDocumento'];
	
	$strNombre = $_REQUEST['strNombre'];
	$strDescripcion = $_REQUEST['strDescripcion'];
	$strCodigo = $_REQUEST['strCodigo'];
	$intDepartamento = $_REQUEST['intDepartamento'];
	
	$strIdsUsuarios = $_REQUEST['strIdsUsuarios'];
	//$bitActivo = $_REQUEST['bitActivo'];
	$bitComentarios = $_REQUEST['bitComentarios'];

	$strUrlArchivo = "";
	$currentStrId = trim($_REQUEST["currentStrId"]);

	if($_REQUEST['intMode']==1){ // INSERTAR
		
		/*if($currentStrId!=NULL || $currentStrId!="" || $currentStrId!="null"){
			$query = "SELECT strImagen FROM tbltemporal WHERE strId = '". $currentStrId. "'";
			$queryResult = mysql_query($query);	
			$totalRows = mysql_num_rows($queryResult);
			if($totalRows > 0){	
				while($data = mysql_fetch_assoc($queryResult)){
					$strUrlArchivo = $data['strImagen'];
				}
			}
		}*/

		$query = "INSERT INTO tbldocumentos (strNombre, strDescripcion, strCodigo, intDepartamento, intEmpresa, strUrlArchivo, bitComentarios) 
		VALUES ('". $strNombre ."','". $strDescripcion ."','". $strCodigo ."',". $intDepartamento.",". $intEmpresa .",'". $strUrlArchivo ."', ". $bitComentarios .")";
		
		$queryResult = mysql_query($query);	

		$intDocumento = mysql_insert_id();
		
		enviarEmail($intDocumento, $strNombre, $intDepartamento, $strIdsUsuarios);

	}else if($_REQUEST['intMode']==2){ //ACTUALIZAR
	
		$query = "UPDATE tbldocumentos SET strNombre = '".$strNombre."', strDescripcion = '".$strDescripcion."',
		strCodigo = '".$strCodigo."', intDepartamento = '".$intDepartamento."', bitComentarios = ".$bitComentarios." WHERE intDocumento = ".$intDocumento."";
		
		$queryResult = mysql_query($query);	

		enviarEmail($intDocumento, $strNombre, $intDepartamento, $strIdsUsuarios);

	}else if($_REQUEST['intMode']==3){
		$query = "DELETE FROM tbldocumentos WHERE intDocumento = ".$intDocumento."";
		$queryResult = mysql_query($query);	
		
	}
	
	//DELETE DEL TEMPORAL
	/*if($currentStrId!=NULL || $currentStrId!="" || $currentStrId!="null"){
		$queryDELETE = "DELETE FROM tbltemporal WHERE strId='".$currentStrId."'";
		mysql_query($queryDELETE);
	}*/

	$sJSON = $query;
	//exit($sJSON);
	
	$sJSON = "";
							
	if($queryResult){
		$sJSON .= "exito";
	}else{
		$sJSON .= "error";
	}
	
}else if(isset($_REQUEST['intEmpresa'])){ // Si es llamado por intEmpresa / REGRESA PRODUCTOS	
		
	$dblFactorConversor = 1;
		
	if(isset($_REQUEST['intUsuario'])){  // llamado por tabCatProductos.js
		//$intDepartamento = $_REQUEST['intDepartamento'];
		
		$intUsuario = $_REQUEST['intUsuario'];
		
		if($intUsuario!="0" && $intUsuario!=NULL && $intUsuario!="undefined"){
			
			/*$query = "SELECT t1.*, t2.strTitulo as strDepartamento, t3.datFechaLeido 
			FROM tbldocumentos t1 left join tbltipousuarios t2 ON (t1.intDepartamento=t2.intTipoUsuario) left join tblactividad t3 ON (t1.intDocumento=t3.intDocumento)
			WHERE t1.intEmpresa = ". $_REQUEST["intEmpresa"] . " and t1.intDepartamento=". $intDepartamento;*/
			
			$query = "SELECT t1.*, t2.strTitulo as strDepartamento, t3.datInicioLectura, t3.datFechaLeido, (SELECT count(intMensaje) FROM tblmensajes t4 WHERE t4.intDocumento = t1.intDocumento) as intMensajes  
			FROM tbldocumentos t1 left join tbltipousuarios t2 ON (t1.intDepartamento=t2.intTipoUsuario) left join tblactividad t3 ON (t1.intDocumento=t3.intDocumento)
			WHERE t3.intUsuario=". $intUsuario ;
			
			if(isset($_REQUEST['intTipo'])){  // No debe ser llamado asi ya que no existe en la tabla actividad como enviado 
				//$query .=  " OR t1.intDepartamento=". $_REQUEST['intTipo'];
			}
		}else{
			$query = "SELECT t1.*, t2.strTitulo as strDepartamento, (SELECT count(intMensaje) FROM tblmensajes t3 WHERE t3.intDocumento = t1.intDocumento) as intMensajes  
			FROM tbldocumentos t1 left join tbltipousuarios t2 ON (t1.intDepartamento=t2.intTipoUsuario) 
			WHERE t1.intEmpresa = ". $_REQUEST["intEmpresa"];
		}
		
	}else{
				
		$query = "SELECT t1.*, t2.strTitulo as strDepartamento, (SELECT count(intMensaje) FROM tblmensajes t3 WHERE t3.intDocumento = t1.intDocumento) as intMensajes  
		FROM tbldocumentos t1 inner join tbltipousuarios t2 ON (t1.intDepartamento=t2.intTipoUsuario)  
		WHERE t1.intEmpresa = ". $_REQUEST["intEmpresa"];
	}
	
	//exit($query);
	
	$queryResult = mysql_query($query);	
	$totalRows = mysql_num_rows($queryResult);
						
	$sJSON = '{"Items":[';
	
	if($totalRows > 0){

		while($data = mysql_fetch_assoc($queryResult)){
			$Entrar = true;	
		
			$strUrlArchivo = $data["strUrlArchivo"];
									
			if($Entrar){
				
				$query2 = "SELECT t1.intUsuario 
				FROM tblactividad t1  
				WHERE t1.intDocumento = ". $data['intDocumento'];

				$queryResult2 = mysql_query($query2);	
				$totalRows2 = mysql_num_rows($queryResult2);
									
				$arrUsuarios = '';
				
				if($totalRows2 > 0){
			
					while($data2 = mysql_fetch_assoc($queryResult2)){
						//$arrUsuarios .= '{'. $data2['intUsuario'] .'},' ;
						$arrUsuarios .= $data2['intUsuario'] .',' ;
					}
					$arrUsuarios = substr($arrUsuarios, 0, -1);
					
				}
				
				$sJSON .= "{";
					$sJSON .= '"intDocumento":"'.$data['intDocumento'].'"';
					$sJSON .= ',"strNombre":"'.$data['strNombre'].'"';
					$sJSON .= ',"strDescripcion":"'.$data['strDescripcion'].'"';
					$sJSON .= ',"strCodigo":"'.$data['strCodigo'].'"';
					if($strUrlArchivo!="" && $strUrlArchivo!=NULL){
						$sJSON .= ',"strUrlArchivo":"'.$strUrlImages.$strUrlArchivo.'"';
					}else{
						$sJSON .= ',"strUrlArchivo":""';
					}
					$sJSON .= ',"intDepartamento":"'.$data[ "intDepartamento" ].'"';
					$sJSON .= ',"strDepartamento":"'.$data[ "strDepartamento" ].'"';
					$sJSON .= ',"bitActivo":"'.$data[ "bitActivo" ].'"';
					$sJSON .= ',"bitComentarios":"'.$data[ "bitComentarios" ].'"';
					$sJSON .= ',"datFechaAlta":"'.$data[ "datFechaAlta" ].'"';

					$sJSON .= ',"intMensajes":"'.$data[ "intMensajes" ].'"';

					if(isset($_REQUEST['intUsuario'])){ 
						$sJSON .= ',"datInicioLectura":"'.$data[ "datInicioLectura" ].'"';
						$sJSON .= ',"datFechaLeido":"'.$data[ "datFechaLeido" ].'"';
					}
					
					$sJSON .= ',"arrUsuarios":['. $arrUsuarios .']';
					
				$sJSON .= "},";
				
			}
		}
		
		$sJSON = substr($sJSON, 0, -1);

	}
	$sJSON .= "]}";
}

print($sJSON);

?>